# DataExchange
TKXmlXCAF
XmlXCAFDrivers

# XmlXCAFDrivers_DocumentStorageDriver Class Reference

storage driver of a XS document

`#include <XmlXCAFDrivers_DocumentStorageDriver.hxx>`

## Public Member Functions

Standard_EXPORT | XmlXCAFDrivers_DocumentStorageDriver (const TCollection_ExtendedString &theCopyright)
virtual Standard_EXPORT Handle_XmlMDF_ADriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XmlXCAFDrivers_DocumentStorageDriver::XmlXCAFDrivers_DocumentStorageDriver | ( | const TCollection_ExtendedString & | theCopyright | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_XmlMDF_ADriverTable XmlXCAFDrivers_DocumentStorageDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) | `[virtual]`

Standard_EXPORT const XmlXCAFDrivers_DocumentStorageDriver::Handle | ( | Standard_Type |  | ) | const

The documentation for this class was generated from the following file:

- XmlXCAFDrivers_DocumentStorageDriver.hxx